NEWFS_UDF(8)

NAME
newfs_udf - construct a new UDF file system

SYNOPSIS
newfs_udf [-cFM] [-L loglabel] [-P discid] [-p percentage] [-S setlabel] [-s size] [-t gmtoff] [-V max_udf] [-v min_udf] special

DESCRIPTION
The newfs_udf utility creates an UDF file system on device special suitable for the media currently inserted.

The options are as follow:

-c  Perform a crude surface check first to weed out disc faults on rewritable media.

-F  Force file system construction on non-empty recordable media.

-L loglabel
    Set the disc logical label to the specified loglabel.

-M  Disable metadata partition creation when selected UDF version or media dictates this. For strict conformance and interchange, don't disable this unless its causing problems.

-P discid
    Set the physical disc label to the specified discid. For strict conformance and interchange, don't set this manually.

-p percentage
    Percentage of partition to be initially reserved for metadata on the Metadata partition. It defaults to 20 %.

-S setlabel
    Set the disc set label to the specified setlabel. For strict conformance and interchange, don't set this manually.

-s size
    Ignored for now.

-t gmtoff
    Use the specified gmtoff as gmt time offset for recording times on the disc.

-V max_udf
    Select max_udf as the maximum UDF version to be supported. For UDF version 2.50, use “0x250” or “2.50”.

-v min_udf
    Select min_udf as the minimum UDF version to be supported. For UDF version 2.01, use “0x201” or “2.01”.

NOTES
The UDF file system is defined for the entire optical medium. It can only function on the entire CD/DVD/BD so the raw partition has to be specified for read/write actions. For newfs_udf this means specifying the raw device with the raw partition, i.e. /dev/rcd0d or /dev/rcd0c.

Some rewritable optical media needs to be formatted first before it can be used by UDF. This can be done using mmcformat(8).

The default UDF version is version 2.01.

EXAMPLES

    newfs_udf -S "Encyclopedia" -L "volume 2" -P "copy-nr-1" /dev/rcd0d

Create a file system, using the specified names on the device /dev/rcd0d with the default UDF version.

    dd if=/dev/zero of=bigdisk.2048.udf seek=9999999 count=1
    vnconfig -c vnd0 bigdisk.2048.udf 2048/1/1/1
    newfs_udf -L bigdisk /dev/rvnd0d

Create a 4.8 GiB sparse file and configure it using vnconfig(8) to be a 2048 sector size disc and create a new UDF file system on /dev/rvnd0d.

    newfs_udf -L "My USB stick" /dev/rsd0d

Create a new UDF file system on the inserted USB stick using its “native” sectorsize of 512.

SEE ALSO
disktab(5), disklabel(8), mmcformat(8), newfs(8)

HISTORY
The newfs_udf command first appeared in NetBSD 5.0.

AUTHORS
Reinoud Zandijk <reinoud@NetBSD.org>